# Class InstantTipper

java.lang.Object
java.awt.event.MouseAdapter
uk.ac.starlink.topcat.plot2.InstantTipper

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

public class InstantTipper extends MouseAdapter
MouseListener that, when installed on a component, causes tooltips to appear instantly and without dismissal.

This works by doctoring the global ToolTipManager. It will not play nicely with any other code that is making global adjustments to tool tip management. I'd like to do it differently, but ToolTipManager itself is a singleton, which makes it difficult to handle this in a more localised way.

Singleton class.

Since:
  29 Jan 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static InstantTipper`
`getInstance()`
Returns the sole instance of this class.
`void`
`mouseEntered(MouseEvent evt)`
`void`
`mouseExited(MouseEvent evt)`

### Methods inherited from class MouseAdapter

`mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### mouseEntered

public void mouseEntered(MouseEvent evt)

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `MouseAdapter`

### mouseExited

public void mouseExited(MouseEvent evt)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `MouseAdapter`

### getInstance

public static InstantTipper getInstance()
Returns the sole instance of this class.